LinHES - Feature # 680: language selection on install -> select keyboard layout

Status: Closed Priority: Normal

Author: martin1802 Category: Installation/Upgrade
Created: 04/04/2010 Assignee: jams

Updated: 10/21/2013 Due date:

Description: not sure ... | try to install a new system on a new machine ... 6.02.00 from iso cd

selection of language is after first reboot ... but this will only select language but not the locale settings and

keyboard selection.

Associated revisions

11/07/2012 01:10 pm - jams

LinHES-config: add support for selecting the lang/country during install.

The lang is then translated to a locale which is then applied to the system by mv_locale.

The lang->locale lookup is done inside mv_locale with a static dict.
refs #738
refs #100

refs #680

11/07/2012 01:11 pm - jams

mythinstall: new build that includes displaying the lang screen..and also writes out the language var to /etc/systemconfig

refs #738
refs #100
refs #680

11/07/2012 01:16 pm - jams

LinHES-config: use all lowercase when looking up the locale in the language map.

refs #738
refs #100
refs #680

History

12/06/2010 12:41 am - martin1802
Any chance for LInHES 7 to have that working feature?

08/08/2011 04:16 am - martin1802
Any chance for LinHES 7.01.00 ... updated ISO installer?

After new installation every time the same ... and have to look where it is
selecting dialog / mythtv language setting too.

10/21/2013 02:20 pm - brfransen
- Target version set to 8.0

- Status changed from New to Closed

04/30/2025

... manually change keyboard on console / X to german :-( ... maybe in
